Bug 511914 - gpk-update-viewer - Authorization failure
gpk-update-viewer - Authorization failure
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 12:18 EDT by Ales Zelinka
Modified: 2009-08-20 11:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gpk-update-viewer --verbose log (34.10 KB, text/plain)
2009-07-15 12:20 EDT, Ales Zelinka
no flags Details

  None (edit)
Description Ales Zelinka 2009-07-15 12:18:07 EDT
Description of problem:
Package update via gpk-update-viewer doesn't work - After I click on "Install updates" button, dependencies are resolved, 2 new packages are has to be installed, I confirm this window too and an Error message window appears saying that:

Authorization failed
You have failed to provide correct. Please check any passwords or account settings.

And in the "more details" part only "failed to obtain auth" is written, leaving me with no clue of what went wrong.

"yum update" works just fine, so this probably has nothing to do with the state of the repositories used.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.27.3-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1.run gpk-update-viewer
2.click all the confirmation buttons

  
Actual results:
the strange auth-failure message

Expected results:
correct update, just like with "yum update"

Additional info:
I'm not sure what has actually failed: authentication or authorization? The error message mentions both. And it could have been a little more informative, especially the "more details" part.
Comment 1 Ales Zelinka 2009-07-15 12:20:24 EDT
Created attachment 353847 [details]
gpk-update-viewer --verbose log

Attaching gpk-update-viewer --verbose log

Let me know if any more debugging info is needed.
Comment 2 Richard Hughes 2009-07-16 04:23:45 EDT
Have you got polkit-gnome installed? If not, please install it, and reboot, and then try again. Thanks.
Comment 3 Ales Zelinka 2009-07-17 06:09:47 EDT
Yep, that was it - gpk-* apps are working once again after installing polkit-gnome (without reboot).

Thanks for the quick reply!

Should I file a new bug to track the missing dependency or will you re-use this one?
Comment 4 Richard Hughes 2009-08-20 11:41:48 EDT
Dep is being dragged in by gnome-session now. Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.